# Copyright (C) 2019 Arturs Ontuzans
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTIBILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

import bpy

class UI_PT_Rig_Panel(bpy.types.Panel):
    bl_idname = "UI_PT_Rig_Panel"
    bl_label = "UE4 Vehicle Rigging"
    bl_category = "UE4 Vehicle"
    bl_space_type = "VIEW_3D"
    bl_region_type = "UI"

    def draw(self, context):
        layout = self.layout

        scene = context.scene
        
        layout.label(text = "Vehicle rigging", icon = 'OUTLINER_OB_ARMATURE')
        
        row = layout.row()
        row.label(text = "Vehicle Base")
        row.prop(scene, 'vehicle_base', text="")

        row = layout.row()
        row.label(text = "Wheel FR")
        row.prop(scene, 'wheel_FR', text = "")

        row = layout.row()
        row.label(text = "Wheel FL")
        row.prop(scene, 'wheel_FL', text = "")

        row = layout.row()
        row.label(text = "Wheel RR")
        row.prop(scene, 'wheel_RR', text = "")

        row = layout.row()
        row.label(text = "Wheel RL")
        row.prop(scene, 'wheel_RL', text = "")

        row = layout.row()
        row.operator('view3d.rig_vehicle', text = "Rig Vehicle")

class UI_PT_Scene_Setup_Panel(bpy.types.Panel):
    bl_idname = "UI_PT_Scene_Setup_Panel"
    bl_label = "UE4 Scene Setup"
    bl_category = "UE4 Vehicle"
    bl_space_type = "VIEW_3D"
    bl_region_type = "UI"

    def draw(self, context):
        layout = self.layout

        scene = context.scene

        layout.label(text = "Scene setup", icon = "SCENE_DATA")

        row = layout.row()
        row.operator('view3d.set_unit_scale', text = "Set Unit Scale")

        row = layout.row()
        row.operator('view3d.upscale_objects', text = "Upscale Objects")